package com.ssj.service.reading.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

import io.swagger.annotations.ApiModelProperty;

/** 
 * @author  ZhangCaibao 
 * @version 2018年8月20日 下午3:09:19 
 * 类说明 
 */
public class LibVipReq  extends BaseRequest{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	@ApiModelProperty(name="imgUrl",value="图片路径",required=true)
	private String imgUrl;
	@ApiModelProperty(name="childName",value="孩子姓名",required=true)
	private String childName;
	@ApiModelProperty(name="sex",value="1男2女",required=true)
	private String sex;
	@ApiModelProperty(name="grade",value="年级",required=true)
	private String grade;
	@ApiModelProperty(name="vipId",value="vipId",required=true)
	private String vipId;
	@ApiModelProperty(name="school",value="学校",required=true)
	private String school;
	@ApiModelProperty(name="libId",value="所选馆",required=true)
	private String libId;

	/**
	 * 联系电话
	 */
	@ApiModelProperty(name="phone",value = "联系电话",required = false)
	private String phone;

	/**
	 * 家庭地址
	 */
	@ApiModelProperty(name="parentRole",value = "角色",required = false)
	private String parentRole;

	@ApiModelProperty(name="parentName",value = "家长姓名",required = false)
	private String parentName;

	public String getImgUrl() {
		return imgUrl;
	}
	public void setImgUrl(String imgUrl) {
		this.imgUrl = imgUrl;
	}
	public String getChildName() {
		return childName;
	}
	public void setChildName(String childName) {
		this.childName = childName;
	}
	public String getSex() {
		return sex;
	}
	public void setSex(String sex) {
		this.sex = sex;
	}
	public String getGrade() {
		return grade;
	}
	public void setGrade(String grade) {
		this.grade = grade;
	}
	public String getVipId() {
		return vipId;
	}
	public void setVipId(String vipId) {
		this.vipId = vipId;
	}
	public String getSchool() {
		return school;
	}
	public void setSchool(String school) {
		this.school = school;
	}

	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getParentRole() {
		return parentRole;
	}

	public void setParentRole(String parentRole) {
		this.parentRole = parentRole;
	}

	public String getParentName() {
		return parentName;
	}

	public void setParentName(String parentName) {
		this.parentName = parentName;
	}
}
